Skip to content

List Vendors

Get all EHR vendors with endpoint counts.

Request

GET /api/v1/vendors

No parameters. Returns all vendors sorted alphabetically.

Example

bash
curl "https://fhir-api.luxera.io/api/v1/vendors"
python
import requests

response = requests.get("https://fhir-api.luxera.io/api/v1/vendors")
data = response.json()
typescript
const response = await fetch("https://fhir-api.luxera.io/api/v1/vendors");
const data = await response.json();
csharp
using var client = new HttpClient();
var response = await client.GetAsync("https://fhir-api.luxera.io/api/v1/vendors");
var data = await response.Content.ReadAsStringAsync();

Response

json
{
  "success": true,
  "data": [
    {
      "id": "epic",
      "name": "Epic Systems",
      "endpointListUrl": "",
      "endpointCount": 451,
      "lastScrapedAt": null
    },
    {
      "id": "athenahealth-inc",
      "name": "athenahealth, Inc.",
      "endpointListUrl": "",
      "endpointCount": 22473,
      "lastScrapedAt": null
    }
  ]
}

Response Fields

FieldTypeDescription
idstringVendor ID (use for filtering in /endpoints?vendor=)
namestringDisplay name
endpointCountnumberNumber of endpoints for this vendor

Built by Luxera Software